Package org.apache.solr.client.solrj.io.comp

## Interface StreamComparator

All Superinterfaces:
  `Comparator<Tuple>`, `Expressible`, `Serializable`

All Known Implementing Classes:
  `FieldComparator`, `MultipleFieldComparator`, `SingleValueComparator`

    public interface StreamComparator
    extends Comparator<Tuple>, Expressible, Serializable

Defines a comparator we can use with TupleStreams

### Method Summary

All Methods Instance Methods Abstract Methods
`StreamComparator` `append​(StreamComparator other)`
`StreamComparator` `copyAliased​(Map<String,​String> aliases)`
`boolean` `isDerivedFrom​(StreamComparator base)`

### Methods inherited from interface java.util.Comparator

`compare, equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Methods inherited from interface org.apache.solr.client.solrj.io.stream.expr.Expressible

`toExplanation, toExpression`

### Method Detail

#### isDerivedFrom

    boolean isDerivedFrom​(StreamComparator base)

#### copyAliased

    StreamComparator copyAliased​(Map<String,​String> aliases)

#### append

    StreamComparator append​(StreamComparator other)